# Run tests in check section
%bcond_without check

# https://github.com/uber-go/multierr
%global goipath         go.uber.org/multierr
%global forgeurl        https://github.com/uber-go/multierr
Version:                1.1.0

%global common_description %{expand:
multierr allows combining one or more Go errors together.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Combine one or more Go errors together
# Detected licences
# - Expat License at 'LICENSE.txt'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(go.uber.org/atomic)
%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE.txt
%doc README.md CHANGELOG.md


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- First package for Fedora

